# Notice 通知

## 基础用法
```dart
class Notices extends StatefulWidget {
  _Notices createState() => new _Notices();
}

class _Notices extends State<Notices> {
  MillNotice no;
  @override
  void initState() {
    no = new MillNotice(Context: context);
    super.initState();
  }
  
  showrightTop() {
    no.rightTop(
      child: '右上出现',
      duration: 3,
    );
  }
  
  ....
}
```


## 设置类型
通过type设置类型， MillNotice.success,  MillNotice.error， MillNotice.warning， MillNotice.message。
```dart
showrightTop() {
  no.rightTop(
    child: '右上出现',
    duration: 3,
    type: MillNotice.success,
  );
}
```


## 设置 title
```dart
showrightTop() {
  no.rightTop(
    child: '右上出现',
    duration: 3,
    title: 'Success',
    type: MillNotice.success,
  );
}
```


## 在不同的位置出现


自带 rightTop， leftTop， centerTop， centerBottom 四种位置出现。
```dart
showrightTop() {
  bool isCn = getLanage(context, false);
  no.rightTop(
    child: isCn ? '右上出现' : 'rightTop',
    duration: 3,
    type: MillNotice.success,
    title: isCn ? null : 'Success',
  );
}

showleftTop() {
  bool isCn = getLanage(context, false);

  no.leftTop(
    child: isCn ? '左上出现' : 'leftTop',
    duration: 3,
    type: MillNotice.error,
    title: isCn ? null : 'Error',
  );
}

showTop() {
  bool isCn = getLanage(context, false);

  no.centerTop(
    child: isCn ? '上方出现' : 'top',
    duration: 3,
    type: MillNotice.warning,
    title: isCn ? null : 'Warning',
  );
}

showBottom() {
  bool isCn = getLanage(context, false);

  no.centerBottom(
    child: isCn ? '下方出现' : 'bottom',
    duration: 3,
    type: MillNotice.warning,
    title: isCn ? null : 'Warning',
  );
}
```


## 自定义
child 设置展示的元素， top: 展示的位置， tween 设置动画。
```dart
showCustom() {
    no.centerTop(
      child: Container(
        color: Color(0xffffffff),
        width: MediaQuery.of(context).size.width,
        height: 38,
        padding: EdgeInsets.all(10),
        child: Text('Custom'),
      ),
      top: 25,
      height: 38,
      duration: 3,
      tween: new Tween(
        begin: Offset(5, 0.0),
        end: Offset(0.0, 0.0),
      )，
    );
 }
```


## Attributes
| 字段名称 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| Merhod: leftTop， rightTop， centerTop |  |  |  |
| child | 自定义元素 | Widget/String |  |
| duration | 停留时间 | int | 3 |
| context |  |  |  |
| height | 元素高度 | double | 可不填，自定义时需要填写 |
| maxCount | 屏幕最大展示数 | int | 3 |
| type | 类型 | String | default |
| top | 展示到顶端的距离 | double | 20.0 |
| title | 展示 title | String | 不同的type 默认值不同 |



