# NoticeBar 通知栏

## 基础用法
```dart
MillNotify(
  color: Color(0xfffffbe8),
  textStyle: TextStyle(color: Color(0xffed6a0c)),
  text: msg,
),
```




## 添加图标
prefixIcon 可以设置前面的图标。suffixIcon 可以设置后面的图标。
```dart
MillNotify(
  color: Color(0xfffffbe8),
  textStyle: TextStyle(color: Color(0xffed6a0c)),
  prefixIcon: Icon(
    MillIcons.sound,
    color: Color(0xffed6a0c),
    size: 18,
  ),
  suffixIcon: Icon(
    MillIcons.error,
    color: Color(0xffed6a0c),
    size: 18,
  ),
  text: msg,
),
```
## 设置颜色
color: 设置背景颜色， textStyle 可以设置字体样式。
```dart
MillNotify(
  color: Color(0xfffffbe8),
  textStyle: TextStyle(color: Color(0xff333333)),
  prefixIcon: Icon(
    MillIcons.sound,
    color: Color(0xff333333),
    size: 18,
  ),
  text: msg,
),
MillNotify(
  color: Colors.green,
  textStyle: TextStyle(color: Colors.white),
  prefixIcon: Icon(
    MillIcons.sound,
    color: Color(0xff333333),
    size: 18,
  ),
  text: msg,
),
```


## Attributes



| 字段名称 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| text | 文本 | _String_ |  |
| textStyle | 文本样式 | _TextStyle_ |  |
| height | 高度 | _double_ |  |
| color | 背景颜色 | _Color_ |  |
| prefixIcon | 展示在前面的icon | _Widget_ |  |
| suffixIcon | 展示在后面的icon | _Widget_ |  |



