# Search 搜索框

## 基础用法
```dart
MillSearch(
  hintText: '请输入',
)
```

![base](../../images/search1.jpg)

## 设置圆角
```dart
MillSearch(
  radius: 30,
  hintText: '请输入',
),
```
![base](../../images/search2.jpg)

## 设置Icon
```dart
MillSearch(
   hintText: '请输入',
  radius: 30,
  prefixIcon: Icon(Icons.ac_unit),
),
```
![base](../../images/search3.jpg)

## 展示右侧按钮
showButton 展示右侧按钮。buttonText 设置按钮文案。
```dart
MillSearch(
  buttonText: '取消',
  showButton: true,
  onCancel: () {
    print('cancel');
  },
),
```
![base](../../images/search4.jpg)

## 设置颜色
backgroundColor 设置背景色。 buttonTextColor 设置按钮字色。
```dart
MillSearch(
  showButton: true,
  onCancel: () {
    print('cancel');
  },
  backgroundColor: Colors.blue,
  buttonTextColor: Colors.white,
),
```

![base](../../images/search5.jpg)

## 设置 value
```dart
MillSearch(
  showButton: true,
  value: '你好',  // 设置默认值
  onChange: (query) {
    print(query);
  },
  onCancel: () {
    print('cancel');
  },
  backgroundColor: Colors.blue,
  buttonTextColor: Colors.white,
),
```

## Attributes
| 字段名称 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| backgroundColor | 背景色 | Color | Color(0xffffffff) |
| fillColor | 文本框填充的颜色 | Color | Color(0xfff7f8fa) |
| textColor | 字体颜色 | Color | Color(0xff4f4f4f) |
| showButton | 是否展示右侧按钮 | bool | false |
| disabled | 禁用模式 | bool | false |
| inputRadio | 输入框圆角 | double | 2 |
| padding | 内边距 | EdgeInsets | EdgeInsets.all(10) |
| hintText | placeholder | String | 请输入 |
| onCancel | 点击按钮回调 | Function |  |
| onChanged | 输入框 change 回调 | Function |  |
| onSubmitted | 输入框 submit 回调 | Function |  |
| value | 默认值 | String |  |
| radius | 圆角 | double | 3 |
| maxHeight | 最大高度 | double | 60 |
| buttonText | 按钮文案 | String | 取消 |
| buttonTextColor | 按钮文字样式 | Color |  |
| showIcon | 是否展示头部的icon | bool | false |
| prefixIcon | 头部icon | Widget | Icons.search |
| contentPadding | 设置输入框padding，配合maxheight 可以设置输入框高度 | EdgeInsets | EdgeInsets.all(15) |



