import 'package:flutter/material.dart';
import 'package:millui_example/home_page.dart';
import 'package:millui/millui.dart';
import 'package:provider/provider.dart';

import 'app_provider.dart';

void main() {
  runApp(
    ChangeNotifierProvider<LanaguageProvider>.value(
      value: LanaguageProvider(),
      child: MyApp(),
    ),
  );
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    MillToast.setContext(context);
    return new MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Millui',
      theme: new ThemeData(primarySwatch: Colors.blue),
      home: Scaffold(
        body: HomePage(),
        appBar: AppBar(
          title: Text('Millui'),
          actions: <Widget>[
            FlatButton(
              child: Text(
                "${lanauages[Provider.of<LanaguageProvider>(context).language]}",
                style: TextStyle(color: Colors.white),
              ),
              onPressed: () {
                String language =
                    Provider.of<LanaguageProvider>(context, listen: false)
                        .language;
                if (language == 'zh-CN') {
                  Provider.of<LanaguageProvider>(context, listen: false)
                      .setLanguage('en-US');
                } else {
                  Provider.of<LanaguageProvider>(context, listen: false)
                      .setLanguage('zh-CN');
                }
              },
            ),
          ],
        ),
      ),
    );
  }
}

Map lanauages = {'zh-CN': '中文', 'en-US': 'English'};
