import 'package:flutter/material.dart';
import 'package:millui/millui.dart';
import 'package:provider/provider.dart';
import '../app_provider.dart';

class ActionSheet extends StatefulWidget {
  _ActionSheet createState() => new _ActionSheet();
}

class _ActionSheet extends State<ActionSheet> {
  @override
  initState() {
    super.initState();
  }

  List list = [
    {
      'label': 'item-0',
      'value': 0,
    },
    {
      'label': 'item-1-backgroundColor',
      'value': 1,
      'backgroundColor': Colors.blue,
      'color': Colors.white,
    },
    {
      'label': 'item-2-color',
      'value': 2,
      'color': Colors.red,
    },
    {
      'label': 'item 3 disabled',
      'value': 3,
      'disabled': true,
    },
    {
      'label': 'item 4',
      'value': 4,
    },
    {
      'label': 'item 5',
      'value': 5,
    },
    {
      'label': 'item 6',
      'value': 6,
    },
    {
      'label': 'item 7',
      'value': 7,
    },
    {
      'label': 'item 8',
      'value': 8,
    },
  ];
  _base() {
    MillActionSheet.open(
      context,
      list: list,
      height: 220,
      labelAlias: 'label',
      onSelect: (val) {
        print(val);
      },
    );
  }

  _showCancel() {
    bool isCn = getLanage(context, false);

    MillActionSheet.open(
      context,
      list: list,
      height: 220,
      showCancel: true,
      labelAlias: 'label',
      cancelText: isCn ? null : 'CANCEL',
      onSelect: (val) {
        print(val);
      },
    );
  }

  _showConfirm() {
    bool isCn = getLanage(context, false);

    MillActionSheet.open(
      context,
      list: list,
      height: 220,
      showConfirm: true,
      cancelText: isCn ? null : 'CANCEL',
      confirmText: isCn ? null : 'OK',
      confirmTextStyle: TextStyle(
        fontSize: 18,
        color: Color(0xffffffff),
      ),
      labelAlias: 'label',
      onSelect: (val) {
        print(val);
      },
    );
  }

  _showTitle() {
    bool isCn = getLanage(context, false);

    MillActionSheet.open(
      context,
      list: list,
      height: 220,
      showCancel: true,
      cancelText: isCn ? null : 'CANCEL',
      title: 'this is title',
      labelAlias: 'label',
      onSelect: (val) {
        print(val);
      },
    );
  }

  _custom() {
    bool isCn = getLanage(context, false);
    MillActionSheet.open(
      context,
      child: Container(
        height: 300,
        child: Text(isCn ? '自定义' : 'Custom'),
      ),
      onSelect: (val) {
        print(val);
      },
    );
  }

  _kv() {
    MillActionSheet.open(
      context,
      list: list,
      listType: 'kv',
      labelAlias: 'label',
      height: 220,
      onSelect: (val) {
        print(val);
      },
    );
  }

  _checkbox() {
    bool isCn = getLanage(context, false);

    MillActionSheet.open(
      context,
      showConfirm: true,
      list: list,
      listType: 'checkbox',
      labelAlias: 'label',
      cancelText: isCn ? null : 'CANCEL',
      confirmText: isCn ? null : 'OK',
      height: 220,
      defaultChecked: [4, 5],
      onConfirm: (result) {
        print(result);
      },
    );
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    return Scaffold(
        appBar: AppBar(
          title: Text('ActionSheet'),
        ),
        body: Padding(
          padding: EdgeInsets.all(20),
          child: ListView(
            children: [
              GestureDetector(
                onTap: _base,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '基础列表' : 'base'),
                ),
              ),
              GestureDetector(
                onTap: _showCancel,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '展示取消按钮' : 'Show cancel button'),
                ),
              ),
              GestureDetector(
                onTap: _showConfirm,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '展示确定按钮' : 'Show confirm button'),
                ),
              ),
              GestureDetector(
                onTap: _showTitle,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '展示title' : 'Show title'),
                ),
              ),
              GestureDetector(
                onTap: _kv,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '以kv的形式展现' : 'Key-value'),
                ),
              ),
              GestureDetector(
                onTap: _checkbox,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '以checkbox形式展现' : 'Checkbox list'),
                ),
              ),
              GestureDetector(
                onTap: _custom,
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '自定义' : 'Custom'),
                ),
              )
            ],
          ),
        ));
  }
}
