import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class DialogList extends StatefulWidget {
  _DialogList createState() => new _DialogList();
}

class _DialogList extends State<DialogList> {
  _showTip() {
    bool isCn = getLanage(context, false);

    MillDialog.tip(
      context,
      message: isCn ? '你好' : 'hellow',
      buttonText: isCn ? '确定' : 'OK',
    );
  }

  _showTitleTip() {
    bool isCn = getLanage(context, false);

    MillDialog.tip(
      context,
      buttonText: isCn ? '确定' : 'OK',
      message: isCn ? '你好' : 'hellow',
      title: isCn ? '这是标题' : 'Title',
    );
  }

  _showColorTip() {
    bool isCn = getLanage(context, false);

    MillDialog.tip(
      context,
      message: isCn
          ? '竹外桃花三两枝，春江水暖鸭先知。蒌蒿满地芦芽短，正是河豚欲上时。'
          : 'Stray birds of summer come to my window to sing and fly away.And yellow leaves of autumn which have no songs , flutter and fall there with a sign.',
      title: isCn ? '中华古诗词是一个很美妙的语言，它可以治愈心灵' : 'Tagore is a great poet',
      messageColor: Color(0xffee0a24),
      buttonTextColor: Color(0xff409eff),
      titleColor: Color(0xffee0a24),
      buttonText: isCn ? '我知道了' : 'Good',
      width: 320,
    );
  }

  _showConfirm() {
    bool isCn = getLanage(context, false);

    MillDialog.confirm(
      context,
      message: isCn ? '你好' : 'hellow',
      cancelText: isCn ? '取消' : 'CANCEL',
      confirmText: isCn ? '确定' : 'OK',
    );
  }

  _showTitleConfirm() {
    bool isCn = getLanage(context, false);

    MillDialog.confirm(
      context,
      message: isCn
          ? '竹外桃花三两枝，春江水暖鸭先知。蒌蒿满地芦芽短，正是河豚欲上时。'
          : 'Stray birds of summer come to my window to sing and fly away.And yellow leaves of autumn which have no songs , flutter and fall there with a sign.',
      title: isCn ? '中华古诗词是一个很美妙的语言，它可以治愈心灵' : 'Tagore is a great poet',
      cancelText: isCn ? '取消' : 'CANCEL',
      confirmText: isCn ? '确定' : 'OK',
    );
  }

  _showColorConfirm() {
    bool isCn = getLanage(context, false);

    MillDialog.confirm(
      context,
      message: isCn ? '中华古诗词是一个很美妙的语言，它可以治愈心灵' : 'Tagore is a great poet',
      title: isCn ? '这是标题' : 'title',
      messageColor: Color(0xffee0a24),
      titleColor: Color(0xffee0a24),
      confirmText: isCn ? '同意' : 'AGREE',
      confirmTextColor: Color(0xffee0a24),
      cancelText: isCn ? '不同意' : 'DISAGREE',
      cancelTextColor: Color(0xff333333),
      width: 320,
    );
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);

    return Scaffold(
        appBar: AppBar(
          title: Text('dialog'),
        ),
        body: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: <Widget>[
              Container(
                padding: EdgeInsets.fromLTRB(20, 30, 20, 20),
                child: Text(isCn ? '提示弹框' : 'Tips'),
              ),
              GestureDetector(
                onTap: _showTip,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text(isCn ? '无标题提示' : 'Untitled'),
                ),
              ),
              GestureDetector(
                onTap: _showTitleTip,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text(isCn ? '带标题提示' : 'Title'),
                ),
              ),
              GestureDetector(
                onTap: _showColorTip,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text(isCn ? '自定义颜色提示' : 'Custom color'),
                ),
              ),
              Container(
                padding: EdgeInsets.fromLTRB(20, 30, 20, 20),
                child: Text(isCn ? '确定弹框' : 'Confirm'),
              ),
              GestureDetector(
                onTap: _showConfirm,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text(isCn ? '确认弹框无标题' : 'Untitled'),
                ),
              ),
              GestureDetector(
                onTap: _showTitleConfirm,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text(isCn ? '确认弹框带标题' : 'title'),
                ),
              ),
              GestureDetector(
                onTap: _showColorConfirm,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text(isCn ? '确认弹框自定义' : 'Custom'),
                ),
              ),
            ],
          ),
        ));
  }
}
