import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:millui/package/drop_down.dart';

import '../app_provider.dart';

class Dropdown extends StatefulWidget {
  _Dropdown createState() => new _Dropdown();
}

class _Dropdown extends State<Dropdown> {
  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    String title = isCn ? '自定义列' : 'custom';
    String title2 = isCn ? '自定义item' : 'custom item';
    List _list1 = isCn ? list1 : en_list1;
    List _list2 = isCn ? list2 : en_list2;
    return Scaffold(
      appBar: AppBar(
        title: Text('dropdown'),
      ),
      body: ListView(
        children: [
          Container(
            padding: EdgeInsets.only(top: 20),
            color: Color(0xff1989fa),
            child: ClipRRect(
              borderRadius: BorderRadius.only(
                topLeft: Radius.circular(20),
                topRight: Radius.circular(20),
              ),
              child: MillDropDown(
                activeColor: Color(0xffee0a24),
                children: [
                  MillDropDownItem(key: ValueKey('filter'), options: _list1),
                  MillDropDownItem(key: ValueKey('order'), options: _list2),
                  MillDropDownItem(
                    title: title,
                    child: Container(
                      child: Text(title),
                    ),
                  ),
                  MillDropDownItem(
                    builder: (BuildContext context) {
                      return MillDropDownCustomItem(
                        child: Container(
                          alignment: Alignment.center,
                          child: Text(title2),
                        ),
                      );
                    },
                  ),
                ],
              ),
            ),
          ),
          Padding(padding: EdgeInsets.only(top: 30)),
          MillDropDown(
            onChange: (Key key, value) {
              print(key);
              print(value);
            },
            children: [
              MillDropDownItem(key: ValueKey('filter'), options: _list1),
              MillDropDownItem(key: ValueKey('order'), options: _list2),
              MillDropDownItem(
                title: title,
                child: Container(
                  child: Text(title),
                ),
              ),
              MillDropDownItem(
                builder: (BuildContext context) {
                  return MillDropDownCustomItem(
                    onTap: () {
                      print('sss');
                    },
                    child: Container(
                      alignment: Alignment.center,
                      child: Text(title2),
                    ),
                  );
                },
              ),
            ],
          ),
          Padding(padding: EdgeInsets.only(top: 30)),
          MillDropDown(
            activeColor: Color(0xffee0a24),
            bgColor: Color(0xfff7f7f7),
            activeBgColor: Color(0xffffffff),
            children: [
              MillDropDownItem(key: ValueKey('filter'), options: _list1),
              MillDropDownItem(key: ValueKey('order'), options: _list2),
              MillDropDownItem(
                title: title,
                child: Container(
                  child: Text(title),
                ),
              ),
              MillDropDownItem(
                builder: (BuildContext context) {
                  return MillDropDownCustomItem(
                    onTap: () {
                      print('sss');
                    },
                    child: Container(
                      alignment: Alignment.center,
                      child: Text(title2),
                    ),
                  );
                },
              ),
            ],
          ),
          Padding(padding: EdgeInsets.only(top: 30)),
          MillDropDown(
            activeColor: Color(0xffee0a24),
            children: [
              MillDropDownItem(
                key: ValueKey('filter'),
                options: _list1,
              ),
              MillDropDownItem(
                key: ValueKey('order'),
                options: _list2,
                disabled: true,
              ),
              MillDropDownItem(
                title: title,
                child: Container(
                  child: Text(title),
                ),
              ),
              MillDropDownItem(
                builder: (BuildContext context) {
                  return MillDropDownCustomItem(
                    onTap: () {
                      print('sss');
                    },
                    child: Container(
                      alignment: Alignment.center,
                      child: Text(title2),
                    ),
                  );
                },
              ),
            ],
          ),
          Padding(padding: EdgeInsets.only(top: 220)),
          MillDropDown(
            activeColor: Color(0xffee0a24),
            children: [
              MillDropDownItem(
                key: ValueKey('filter'),
                options: _list1,
              ),
              MillDropDownItem(
                key: ValueKey('order'),
                options: _list2,
              ),
              MillDropDownItem(
                title: title,
                child: Container(
                  child: Text(title),
                ),
              ),
              MillDropDownItem(
                builder: (BuildContext context) {
                  return MillDropDownCustomItem(
                    onTap: () {
                      print('sss');
                    },
                    child: Container(
                      alignment: Alignment.center,
                      child: Text(title2),
                    ),
                  );
                },
              ),
            ],
          ),
          Padding(padding: EdgeInsets.only(top: 220)),
          MillDropDown(
            direction: 'up',
            activeColor: Color(0xffee0a24),
            children: [
              MillDropDownItem(
                key: ValueKey('filter'),
                options: _list1,
              ),
              MillDropDownItem(
                key: ValueKey('order'),
                options: _list2,
              ),
              MillDropDownItem(
                title: title,
                child: Container(
                  child: Text(title),
                ),
              ),
              MillDropDownItem(
                builder: (BuildContext context) {
                  return MillDropDownCustomItem(
                    onTap: () {
                      print('sss');
                    },
                    child: Container(
                      alignment: Alignment.center,
                      child: Text(title2),
                    ),
                  );
                },
              ),
            ],
          ),
        ],
      ),
    );
  }
}

List list1 = [
  {
    'name': '全部商品',
    'id': 1,
  },
  {
    'name': '新款商品',
    'id': 2,
  },
  {
    'name': '热卖商品',
    'id': 3,
  },
  {
    'name': '降价商品',
    'id': 4,
  }
];

List en_list1 = [
  {
    'name': 'All',
    'id': 1,
  },
  {
    'name': 'News',
    'id': 2,
  },
  {
    'name': 'Hot',
    'id': 3,
  },
  {
    'name': 'Reduction',
    'id': 4,
  }
];

List list2 = [
  {
    'name': '价格降序',
    'id': 1,
  },
  {
    'name': '价格升序',
    'id': 2,
  },
  {
    'name': '点击升序',
    'id': 3,
    'disabled': true,
  },
  {
    'name': '点击降序',
    'id': 4,
  }
];

List en_list2 = [
  {
    'name': 'Price',
    'id': 1,
  },
  {
    'name': 'Click',
    'id': 2,
  },
  {
    'name': 'Consum',
    'id': 3,
    'disabled': true,
  }
];
