import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class Fieldlist extends StatefulWidget {
  _Fieldlist createState() => new _Fieldlist();
}

class _Fieldlist extends State<Fieldlist> {
  String _text = 'Default';

  TextEditingController mControll = TextEditingController();
  @override
  void initState() {
    mControll.text = 'Default';
    super.initState();
  }

  @override
  void dispose() {
    mControll.dispose();
    super.dispose();
  }

  _alert() {
    MillDialog.tip(context, message: 'ok');
  }

  onChanged(text) {
    setState(() {
      _text = text;
    });
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);

    return Scaffold(
      appBar: AppBar(
        title: Text('field'),
      ),
      body: Container(
        child: ListView(
          children: <Widget>[
            Container(
              padding: EdgeInsets.all(20),
              child: Text(isCn ? '基础用法' : 'Basic'),
            ),
            Container(
              color: Color(0xffffffff),
              child: MillField(hintText: 'tips', label: 'Label'),
            ),
            Padding(padding: EdgeInsets.only(top: 5)),
            Container(
              color: Color(0xffffffff),
              child: MillField(
                hintText: 'tips',
                label: 'Label',
                suffixIcon: Icon(
                  Icons.warning,
                  size: 16,
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.all(20),
              child: Text(isCn ? '只读' : 'Readonly'),
            ),
            Container(
              color: Color(0xffffffff),
              child: MillField(
                label: 'Label',
                readonly: true,
                readBox: Text(isCn ? '只读' : 'Readonly'),
                suffixIcon: Icon(
                  Icons.warning,
                  size: 16,
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.all(20),
              child: Text(isCn ? '只读点击事件' : 'onClick'),
            ),
            Container(
              color: Color(0xffffffff),
              child: MillField(
                label: 'Label',
                readonly: true,
                readBox: GestureDetector(
                  onTap: _alert,
                  child: Text(isCn ? '只读' : 'Readonly'),
                ),
                suffixIcon: Icon(
                  Icons.keyboard_arrow_right,
                  size: 26,
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.all(20),
              child: Text('label icon'),
            ),
            Container(
              color: Color(0xffffffff),
              child: MillField(
                label: 'Label+Icon',
                hintText: 'placeholder',
                prefixIcon: Icon(
                  Icons.supervised_user_circle,
                  size: 16,
                ),
                suffixIcon: Icon(
                  Icons.warning,
                  size: 16,
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.all(20),
              child: Text(isCn ? '使用控制器' : 'Controller'),
            ),
            Container(
              padding: EdgeInsets.all(10),
              child: Text(isCn ? '当前值：$_text' : 'Value：$_text'),
            ),
            Container(
              color: Color(0xffffffff),
              child: MillField(
                label: '标签',
                padding: EdgeInsets.all(15),
                onChanged: onChanged,
                controller: mControll,
                prefixIcon: Icon(
                  Icons.supervised_user_circle,
                  size: 16,
                ),
                suffixIcon: GestureDetector(
                  onTap: () {
                    mControll.clear();
                  },
                  child: Icon(
                    Icons.close,
                    size: 16,
                  ),
                ),
              ),
            ),
            Padding(padding: EdgeInsets.only(top: 20))
          ],
        ),
      ),
    );
  }
}
