import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class NoticeBar extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    String msg = isCn
        ? '永远是伴随着长大，守候在身边的人一直在变化，曾经那么好的朋友，也都不再联系了。说过那些永远都是好朋友的誓言，都不可以成真。人生这趟列车，除了自己任何人都是过客。'
        : 'One day,we donlt have to say goodoye,just say good night.';
    return Scaffold(
      appBar: AppBar(
        title: Text('NoticeBar'),
      ),
      body: Container(
        padding: EdgeInsets.all(15),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            MillNotify(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xffed6a0c)),
              text: msg,
            ),
            Container(
              child: Text(isCn ? '添加图标' : 'Icons'),
              padding: EdgeInsets.all(15),
            ),
            MillNotify(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xffed6a0c)),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xffed6a0c),
                size: 18,
              ),
              text: msg,
            ),
            Container(
              padding: EdgeInsets.all(6),
            ),
            MillNotify(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xffed6a0c)),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xffed6a0c),
                size: 18,
              ),
              suffixIcon: Icon(
                MillIcons.error,
                color: Color(0xffed6a0c),
                size: 18,
              ),
              text: msg,
            ),
            Container(
              child: Text(isCn ? '设置颜色' : 'Color'),
              padding: EdgeInsets.all(15),
            ),
            MillNotify(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xff333333)),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xff333333),
                size: 18,
              ),
              text: msg,
            ),
            MillNotify(
              color: Colors.green,
              textStyle: TextStyle(color: Colors.white),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xff333333),
                size: 18,
              ),
              text: msg,
            ),
          ],
        ),
      ),
    );
  }
}
