import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class Notices extends StatefulWidget {
  _Notices createState() => new _Notices();
}

class _Notices extends State<Notices> {
  MillNotice no;
  @override
  void initState() {
    no = new MillNotice(Context: context);
    super.initState();
  }

  showrightTop() {
    bool isCn = getLanage(context, false);
    no.rightTop(
      child: isCn ? '右上出现' : 'rightTop',
      duration: 3,
      type: MillNotice.success,
      title: isCn ? null : 'Success',
    );
  }

  showleftTop() {
    bool isCn = getLanage(context, false);

    no.leftTop(
      child: isCn ? '左上出现' : 'leftTop',
      duration: 3,
      type: MillNotice.error,
      title: isCn ? null : 'Error',
    );
  }

  showTop() {
    bool isCn = getLanage(context, false);

    no.centerTop(
      child: isCn ? '上方出现' : 'top',
      duration: 3,
      type: MillNotice.warning,
      title: isCn ? null : 'Warning',
    );
  }

  showBottom() {
    bool isCn = getLanage(context, false);

    no.centerBottom(
      child: isCn ? '下方出现' : 'bottom',
      duration: 3,
      type: MillNotice.warning,
      title: isCn ? null : 'Warning',
    );
  }

  showCustom() {
    bool isCn = getLanage(context, false);

    no.centerTop(
      child: Container(
        color: Color(0xffffffff),
        width: MediaQuery.of(context).size.width,
        height: 38,
        padding: EdgeInsets.all(10),
        child: Text(isCn ? '自定义' : 'Custom'),
      ),
      top: 25,
      height: 38,
      duration: 3,
    );
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);

    return Scaffold(
        appBar: AppBar(
          title: Text('Notices'),
        ),
        body: Padding(
          padding: EdgeInsets.all(20),
          child: Column(
            children: [
              GestureDetector(
                onTap: () {
                  showrightTop();
                },
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '右上出现' : 'RighrTop'),
                ),
              ),
              GestureDetector(
                onTap: () {
                  showleftTop();
                },
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '左上出现' : 'LeftTop'),
                ),
              ),
              GestureDetector(
                onTap: () {
                  showTop();
                },
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '上方出现' : 'Top'),
                ),
              ),
              GestureDetector(
                onTap: () {
                  showBottom();
                },
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '下方出现' : 'Bottom'),
                ),
              ),
              GestureDetector(
                onTap: () {
                  showCustom();
                },
                child: Container(
                  padding: EdgeInsets.only(top: 15, bottom: 15),
                  child: Text(isCn ? '自定义' : 'Custom'),
                ),
              )
            ],
          ),
        ));
  }
}
