import 'package:flutter/material.dart';
import 'package:millui/millui.dart';
import 'dart:async';
import 'package:flutter/services.dart';

class Picker extends StatefulWidget {
  _Picker createState() => new _Picker();
}

class _Picker extends State<Picker> {
  String _batteryLevel = 'Unknown battery level.';
  Future<Null> _getBatteryLevel() async {
    String batteryLevel;
    try {
      final int result = await Millui.getBatteryLevel();
      batteryLevel = 'Battery level at $result % .';
    } on PlatformException catch (e) {
      batteryLevel = "Failed to get battery level: '${e.message}'.";
    }

    setState(() {
      _batteryLevel = batteryLevel;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('picker'),
        ),
        body: new Column(
        crossAxisAlignment: CrossAxisAlignment.stretch,
        children: [
          GestureDetector(
            onTap: () {
              print('123');
            },
            child: Container(
              child: Text('点击我'),
            ),
          ),
          new RaisedButton(
            child: new Text('Get Battery Level'),
            onPressed: _getBatteryLevel,
          ),
          new Text(_batteryLevel),
        ],
      ),);
  }
}
