import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Swiper extends StatefulWidget {
  _Swiper createState() => new _Swiper();
}

class _Swiper extends State<Swiper> {
  List<Widget> pageList = [
    Container(
      color: Color(0xff99a9bf),
      child: Text(
        '1',
        style: TextStyle(
          color: Colors.white,
        ),
      ),
      alignment: Alignment.center,
    ),
    Container(
      alignment: Alignment.center,
      color: Color(0xffd3dce6),
      child: Text(
        '2',
        style: TextStyle(
          color: Colors.white,
        ),
      ),
    ),
    Container(
      color: Color(0xff99a9bf),
      alignment: Alignment.center,
      child: Text(
        '3',
        style: TextStyle(
          color: Colors.white,
        ),
      ),
    )
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('swipe'),
      ),
      body: Padding(
        padding: EdgeInsets.all(10),
        child: ListView(
          children: [
            Container(
              height: 200,
              padding: EdgeInsets.all(15),
              child: MillSwipe(
                type: MillSwipeType.scaleCard,
                autoPlay: true,
                pageList: pageList,
              ),
            ),
            Padding(padding: EdgeInsets.only(top: 20)),
            Container(
              height: 200,
              padding: EdgeInsets.all(15),
              child: MillSwipe(
                type: MillSwipeType.card,
                viewportFraction: 0.8,
                pageList: pageListRadio,
              ),
            ),
            Padding(padding: EdgeInsets.only(top: 20)),
            Container(
              height: 200,
              padding: EdgeInsets.all(15),
              child: MillSwipe(
                pageList: pageList,
              ),
            ),
            Padding(padding: EdgeInsets.only(top: 20)),
            Container(
              height: 500,
              padding: EdgeInsets.all(15),
              child: MillSwipe(
                type: MillSwipeType.scaleCard,
                viewportFraction: 0.88,
                autoPlay: true,
                pageList: pageList,
                direction: Axis.vertical,
              ),
            ),
            Padding(padding: EdgeInsets.only(top: 20)),
            Container(
              height: 200,
              padding: EdgeInsets.all(15),
              child: MillSwipe(
                type: MillSwipeType.card,
                direction: Axis.vertical,
                viewportFraction: 0.8,
                pageList: pageListRadio,
              ),
            ),
            Padding(padding: EdgeInsets.only(top: 20)),
            Container(
              height: 200,
              padding: EdgeInsets.all(15),
              child: MillSwipe(
                direction: Axis.vertical,
                pageList: pageList,
              ),
            ),
          ],
        ),
      ),
    );
  }
}

List<Widget> pageListRadio = [
  Container(
    decoration: new BoxDecoration(
      color: Color(0xff99a9bf),
      borderRadius: new BorderRadius.all(
        const Radius.circular(8.0),
      ),
    ),
    child: Text(
      '1',
      style: TextStyle(
        color: Colors.white,
      ),
    ),
    alignment: Alignment.center,
  ),
  Container(
    alignment: Alignment.center,
    decoration: new BoxDecoration(
      color: Color(0xffd3dce6),
      borderRadius: new BorderRadius.all(
        const Radius.circular(8.0),
      ),
    ),
    child: Text(
      '2',
      style: TextStyle(
        color: Colors.white,
      ),
    ),
  ),
  Container(
    decoration: new BoxDecoration(
      color: Color(0xffd3dce6),
      borderRadius: new BorderRadius.all(
        const Radius.circular(8.0),
      ),
    ),
    alignment: Alignment.center,
    child: Text(
      '3',
      style: TextStyle(
        color: Colors.white,
      ),
    ),
  )
];
