import 'package:flutter/material.dart';

class MillField extends StatelessWidget {
  MillField({
    Key key,
    this.padding =
        const EdgeInsets.only(left: 10, right: 10, bottom: 0, top: 0),
    this.background = const Color(0xffffffff),
    this.border,
    this.borderRadius,
    this.labelWidth = 100,
    this.labelMaxLines = 1,
    this.label = '文本',
    this.labelColor = const Color(0xff333333),
    this.value = '数据',
    this.valueColor = const Color(0xff333333),
    this.readonly = false,
    this.autofocus = false,
    this.hintText = '提示文本',
    this.hintMaxLines = 1,
    this.hintStyle = const TextStyle(color: Color(0xff999999)),
    this.keyboardType = TextInputType.text,
    this.obscureText = false,
    this.inputFillColor = const Color(0xffffffff),
    this.suffixIcon,
    this.prefixIcon,
    this.readBox,
    this.onChanged,
    this.controller,
  }) : super(key: key);
  final EdgeInsets padding;
  final Color background;
  final Border border;
  final BorderRadius borderRadius;
  final double labelWidth;
  final String label;
  final Color labelColor;
  final int labelMaxLines;
  final Color valueColor;
  final String value;
  final String hintText;
  final int hintMaxLines;
  final TextStyle hintStyle;
  final TextInputType keyboardType;
  final bool obscureText;
  final bool autofocus;
  final bool readonly;
  final Color inputFillColor;
  final Widget suffixIcon;
  final Widget prefixIcon;
  final Widget readBox;
  final Function onChanged;
  final TextEditingController controller;

  @override
  Widget build(BuildContext context) {
    List lasts = [];
    if (suffixIcon != null) {
      lasts.add(suffixIcon);
    }

    List prefixs = [];
    if (prefixIcon != null) {
      prefixs.add(prefixIcon);
      prefixs.add(Padding(
        padding: EdgeInsets.only(right: 4),
      ));
    }

    return Container(
      padding: padding,
      decoration: BoxDecoration(
        color: background,
        border: border,
        borderRadius: borderRadius,
      ),
      child: Row(
        children: <Widget>[
          ...prefixs,
          Container(
            width: labelWidth,
            padding: EdgeInsets.only(bottom: 15, top: 15, right: 8),
            child: Text(
              label,
              maxLines: labelMaxLines,
              overflow: TextOverflow.fade,
              style: TextStyle(
                color: labelColor,
              ),
            ),
          ),
          Expanded(
            flex: 1,
            child: readonly
                ? readBox ??
                    Container(
                      child: Text(value,
                          style: TextStyle(
                            color: valueColor,
                          )),
                    )
                : TextField(
                    style: TextStyle(
                      color: valueColor,
                    ),
                    controller: controller,
                    onChanged: onChanged,
                    autofocus: autofocus,
                    keyboardType: keyboardType,
                    maxLines: 1,
                    obscureText: obscureText,
                    decoration: InputDecoration(
                      filled: true,
                      fillColor: inputFillColor,
                      hintText: hintText,
                      hintMaxLines: hintMaxLines,
                      hintStyle: hintStyle,
                      border: InputBorder.none,
                      focusedBorder: InputBorder.none,
                      errorBorder: InputBorder.none,
                    ),
                  ),
          ),
          ...lasts
        ],
      ),
    );
  }
}
