const path = require('path');
const fs = require('fs');
const shelljs = require('shelljs');
const OSS = require('ali-oss');

const result = shelljs.exec('npm run build');
const dir = path.resolve('', 'docs/.vuepress/dist');

const client = new OSS({
    endpoint: '',
    accessKeyId: '',
    accessKeySecret: '',
    bucket: '',
});

const base = '/millui/'
if (result.code === 0) {
    fileDisplay(dir, base);
}

async function put (objectName, dir) {
    try {
      let result = await client.put(objectName, dir);
      console.log(`${result.name}上传${result.res.status === 200 ? '成功' : '失败'}`);
    } catch (e) {
      console.log(e);
    }
    return Promise.resolve(1);
}

function fileDisplay(filePath, basrPath){
    fs.readdir(filePath, function(err, files){
        if(err){
            console.warn(err)
        } else {
            files.forEach(function(filename){
                var filedir = path.join(filePath, filename);
                fs.stat(filedir, function(eror, stats){
                    if(eror){
                        console.warn('获取文件stats失败');
                    } else {
                        var isFile = stats.isFile();//是文件
                        var isDir = stats.isDirectory();//是文件夹
                        if(isFile){
                            put(path.join(basrPath, filename), filedir);
                        } else if (isDir) {
                            fileDisplay(filedir, path.join(basrPath, filename));
                        }
                    }
                })
            });
        }
    });
}
